Name:             rmic-maven-plugin
Version:          1.2.0
Release:          %mkrel 2
Summary:          Uses the java rmic compiler to generate classes used in remote method invocation
License:          MIT
Group:            Development/Java
URL:              http://mojo.codehaus.org/%{name}

Source0:          http://repo2.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:        noarch

BuildRequires:    asm2
BuildRequires:    groovy
BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-invoker-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-cobertura
BuildRequires:    maven-plugin-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-shared-invoker
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    mojo-parent

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils
Requires:         maven
Requires:         plexus-archiver
Requires:         plexus-compiler
Requires:         plexus-container-default
Requires:         plexus-utils

%description
This plugin works with Maven 2 and uses the java rmic compiler to generate
classes used in remote method invocation.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

sed -i -e "s|groupId>plexus|groupId>org.codehaus.plexus|g" pom.xml

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc License.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc License.txt
%{_javadocdir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 380367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.2.0-1.mga3
+ Revision: 292938
- New version

* Fri Oct 21 2011 gil <gil> 1.1-1.mga2
+ Revision: 157077
- imported package rmic-maven-plugin

